### Function

# FwupdPlugin usb_bos_hdr_get_descriptor_type

#### Declaration [src]

    FuUsbDescriptorKind
    fu_usb_bos_hdr_get_descriptor_type (
      const FuUsbBosHdr* st
    )

#### Description

No description available.

This function is not directly available to language bindings.

#### Parameters

`st`

  Type: `FuUsbBosHdr`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `FuUsbDescriptorKind`

No description available.